Subject: Re: [PATCH 2/2] usbnet: use MII hooks only if CONFIG_MII is enabled

From: Adrian Bunk <[email-masked]>
Date: Sat, 28 Oct 2006 23:39:18 +0200

On Sat, Oct 28, 2006 at 02:10:09PM -0700, David Brownell wrote:
> On Saturday 28 October 2006 4:21 am, Christoph Hellwig wrote:
> 
> > This is really awkward and against what we do in any other driver.
> 
> Awkward, yes -- which is why I posted the non-awkward version,
> which is repeated below.  (No thanks to "diff" for making the
> patch ugly though; the resulting code is clean and non-awkward,
> moving that function helped.)
>...
> --- g26.orig/drivers/usb/net/usbnet.c	2006-10-24 18:29:28.000000000 -0700
> +++ g26/drivers/usb/net/usbnet.c	2006-10-25 19:07:16.000000000 -0700
> @@ -669,6 +669,9 @@ done:
>   * they'll probably want to use this base set.
>   */
>  
> +#if defined(CONFIG_MII) || defined(CONFIG_MII_MODULE)
> +#define HAVE_MII
>...

This seems to cause a CONFIG_USB_USBNET=y, CONFIG_MII=m breakage
(as already described earlier in this thread)?

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed